% Compute log_e(factorial(N)) for vector of integers N
% NOTE: compute as ret(i)=sum_{i=1..N(i)}(log_e(i))
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Inputs:  
% N:      n x 1 vector of integers
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Outputs:  
% ret:    ret(i)=log_e(factorial(N(i))) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Modified by Ronny Luss, May 2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [ret]= logbase_e_factorial(N)

% N is a vector of numbers

A=ones(length(N),1)*[1:max(N)];

B=(A>N*ones(1,max(N)));
A(B)=1;
ret=sum(log(A),2);